Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.api.score.constraint.primlong
Class LongConstraintMatchTotal

    java.lang.Object
      org.optaplanner.core.api.score.constraint.ConstraintMatchTotal
          org.optaplanner.core.api.score.constraint.primlong.LongConstraintMatchTotal

All Implemented Interfaces:
  Serializable, Comparable<ConstraintMatchTotal>

    public class LongConstraintMatchTotal

extends ConstraintMatchTotal

See Also:
  Serialized Form

Field Summary
`protected Set<LongConstraintMatch>` | `constraintMatchSet`
`protected long` | `weightTotal`

Fields inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatchTotal
`constraintName, constraintPackage, scoreLevel`

Constructor Summary
`LongConstraintMatchTotal(String constraintPackage, String constraintName, int scoreLevel)`

Method Summary
`LongConstraintMatch` | `addConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext, long weight)`
`Set<LongConstraintMatch>` | `getConstraintMatchSet()`
`long` | `getWeightTotal()`
`Number` | `getWeightTotalAsNumber()`
`void` | `removeConstraintMatch(LongConstraintMatch constraintMatch)`

Methods inherited from class org.optaplanner.core.api.score.constraint.ConstraintMatchTotal
`compareTo, extractJustificationList, getConstraintName, getConstraintPackage, getIdentificationString, getScoreLevel, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### constraintMatchSet

    protected final Set<LongConstraintMatch> constraintMatchSet

### weightTotal

    protected long weightTotal

Constructor Detail

### LongConstraintMatchTotal

    public LongConstraintMatchTotal(String constraintPackage,
                                    String constraintName,
                                    int scoreLevel)

Method Detail

### getConstraintMatchSet

    public Set<LongConstraintMatch> getConstraintMatchSet()

  Specified by:
    `getConstraintMatchSet` in class `ConstraintMatchTotal`

### getWeightTotal

    public long getWeightTotal()

### getWeightTotalAsNumber

    public Number getWeightTotalAsNumber()

  Specified by:
    `getWeightTotalAsNumber` in class `ConstraintMatchTotal`

### addConstraintMatch

    public LongConstraintMatch addConstraintMatch(org.kie.api.runtime.rule.RuleContext kcontext,
                                                  long weight)

### removeConstraintMatch

    public void removeConstraintMatch(LongConstraintMatch constraintMatch)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.